#include <iostream>
#include <string>
using namespace std;

int main()
{
    int b=0;
    int n;
    string str;
    cin>>n;
    cin>>str;
    if(n<=26) cout<<0;
        else if(n==27){
            for(int i=1;i<n;i++){
                if(str[i]<=str[i-1]]) b++;
            }
            if(b==1) cout<<1; else cout<<0;
        }
    return 0;
}